RankSharkDocs
Export

Download campaigns as an encrypted file

RankShark EnhanceScopecampaigns:read

GET
/api/v1/export/campaigns

An encrypted campaign file that only this workspace can import (panel: Campaigns > Import > From file). Plain JSON exports and imports are not available.

Authorization

headerAuthorizationBearer <token>

An Enhance API key (rsen_…) or an OAuth 2.1 access token, as "Authorization: Bearer …".

Query Parameters

ids?string

Comma-separated campaign ids (at most 5,000); empty = every campaign

Response Body

The encrypted campaign file (attachment)

response?fileapplication/vnd.rankshark.campaigns
Formatbinary
Example Request
curl -X GET 'https://panel.rankshark.io/api/v1/export/campaigns'
Example Response
"string"